package com.chenyang.nse.bussiness.entity.vo.maskingtask;

import com.chenyang.nse.bussiness.entity.db.ColumnInfo;

public class ColumnInfoVO extends ColumnInfo {
   private String maskingruleid;
   private String maskingrulename;
   private String regextype;
   private String targettypename;
   private String dateTimeFormat;
   private String secretkeyId;
   private String secretkeyName;
   private String datadomainId;
   private String datadomainName;
   private String isManual;
   private String ischeckbox;
   private String isDigest;

   public String getIsDigest() {
      return this.isDigest;
   }

   public void setIsDigest(String isDigest) {
      this.isDigest = isDigest;
   }

   public String getMaskingruleid() {
      return this.maskingruleid;
   }

   public void setMaskingruleid(String maskingruleid) {
      this.maskingruleid = maskingruleid;
   }

   public String getMaskingrulename() {
      return this.maskingrulename;
   }

   public void setMaskingrulename(String maskingrulename) {
      this.maskingrulename = maskingrulename;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getTargettypename() {
      return this.targettypename;
   }

   public void setTargettypename(String targettypename) {
      this.targettypename = targettypename;
   }

   public String getDateTimeFormat() {
      return this.dateTimeFormat;
   }

   public void setDateTimeFormat(String dateTimeFormat) {
      this.dateTimeFormat = dateTimeFormat;
   }

   public String getSecretkeyId() {
      return this.secretkeyId;
   }

   public void setSecretkeyId(String secretkeyId) {
      this.secretkeyId = secretkeyId;
   }

   public String getSecretkeyName() {
      return this.secretkeyName;
   }

   public void setSecretkeyName(String secretkeyName) {
      this.secretkeyName = secretkeyName;
   }

   public String getDatadomainId() {
      return this.datadomainId;
   }

   public void setDatadomainId(String datadomainId) {
      this.datadomainId = datadomainId;
   }

   public String getDatadomainName() {
      return this.datadomainName;
   }

   public void setDatadomainName(String datadomainName) {
      this.datadomainName = datadomainName;
   }

   public String getIsManual() {
      return this.isManual;
   }

   public void setIsManual(String isManual) {
      this.isManual = isManual;
   }

   public String getIscheckbox() {
      return this.ischeckbox;
   }

   public void setIscheckbox(String ischeckbox) {
      this.ischeckbox = ischeckbox;
   }
}
